The short (possibly) instruction how to use the programs of the package phonetic-languages-simplified-examples-array
in Ukrainian is here:

https://web.archive.org/web/20210127214219/https://oleksandrzhabenko.github.io/uk/Instruction_phonetic-languages-simplified-examples-array-0.3.0.0.pdf

Since the version 0.2.0.0 there exist also comparative mode for the rewritePoemG3 executable. It allows to create from two
files with the text variants the new one. For more information in Ukrainian, please, refer to the instruction above to the
part of the rewritePoemG3 executable.

* Examples of usage

1) lineVariantsG3:

lineVariantsG3 <first argument> [<whether print the values of the property(ies)> <whether the last word must remain on its place>] <numeric arguments> <property type> <Ukrainian text>

or:

lineVariantsG3 <first argument> [<whether print the values of the property(ies)> <whether the last word must remain on its place>] <numeric arguments> <property type> <Ukrainian text> <somewhere among the arguments as a single group: constraints>

More partucular example of the abovementioned one:

lineVariantsG3 10.0_1.2 yy2 садок вишневий коло хати хрущі над вишнями гудуть (the Ukrainian text here and further is
from the Taras Shevchenko poem)

lineVariantsG3 10.0_1.2 5 5 1 2 04y садок вишневий коло хати хрущі над вишнями гудуть 

lineVariantsG3 +M 02y 3 03y 3 y0 10 -M ++BL <Ukrainian text>

lineVariantsG3 ++I ++BL 4.3_ +M 02y 3 0y 3 y0 20 y2 40 -M садок вишневий коло хати хрущі над вишнями гудуть

lineVariantsG3 +IF hello.txt -IF ++BL +M 02y 3 0y 3 04y 5 y0 40 y4 50 -M садок вишневий коло хати хрущі над вишнями гудуть

You can also use multiple variations mode to look at the synonyms, paraphrases etc.

For this, use instead of just the text as the last arguments the following special construction:

{ <variant1 of the Ukrainian text> / <variant2 of the Ukrainian text> / ... / <variantN of the Ukrainian text> }

with at least two variants inside the curly brackets. They will be processed in chain
with the one variant of each and the possibility to choose at the end between
these different ones, which finally results in a single line.

Please, remember that the program provides processing for every combination of the variations
so if you specify too many of them (e. g. 3 variants of one word and 4 variants of the another one will
lead to 3*4 = 12 variations possible), the processing while getting the final result
can become longer than expected.

2) propertiesTextG3:

propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity of the intervals> <control of printing the line of the text, too> <control of the sectioning into the lines> <property type>

propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity of the intervals> <control of printing the line of the text, too> <control of the sectioning into the lines> <property type> | distributionTexG <the same argument of the quantity of the lines> <whether to output also by-line statistics>

PowerShell -Command "propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity of the intervals> <control of printing the line of the text, too> <control of the sectioning into the lines> <property type> | distributionTexG  <the same argument of the quantity of the lines> <whether to output also by-line statistics>”

propertiesTextG3 sadok0.txt +RTS -N --RTS s 1 0 +M y0 0y 02y 03y y2 y3 yyy -M

propertiesTextG3 sadok0.txt +RTS -N --RTS s 1 0 03y ++B | distributionTextG s 1 +W

propertiesTextG3 <filepath to the file with the Ukrainina text for analysis> @n

3) rewritePoemG3:

rewritePoemG3 <first argument> <file with the Ukrainian tetx> <property type> <numeric arguments>

rewritePoemG3 +C <file1> <file2> <file3> (all the files must be different and simultaneously the first two ones must exist already with some text, otherwise, the program gives no meaningful result).

